[gnome-db] ABI break in GDA 5.1 vs 5.0?



I found that object GdaDataModelDsnList have changed its gda_data_model_dsn_list_get_type method to _gda_data_model_dsn_list_get()

Note the prefix "_".

AFAIK this is an API break. This make that GI detects it as a class in 5.0, but a record in 5.1.

--
Trabajar, la mejor arma para tu superaci├│n
"de grano en grano, se hace la arena" (R) (en trámite, pero para los cuates: LIBRE)


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]